Name:           beancount
Version:        2.3.5
Release:        2%{?dist}
Summary:        Command-line Double-Entry Accounting

License:        GNU GPLv2 only
URL:            https://furius.ca/beancount
Source0:        https://github.com/beancount/beancount/archive/%{version}/%{name}-%{version}.tar.gz
# Disable dependency on python-magic
# See https://bugzilla.redhat.com/show_bug.cgi?id=1899279
Patch0:         beancount-2.3.5-nomagic.patch

BuildRequires:  gcc
BuildRequires:  python3-devel

%generate_buildrequires
%pyproject_buildrequires


%description
 A double-entry accounting system that uses text files as input. Beancount
defines a simple data format or "language" that lets you define financial
transaction records in a text file, load them in memory and generate and export
a variety of reports, such as balance sheets or income statements. It also
provides a client with an SQL-like query language to filter and aggregate
financial data,...


%prep
%autosetup


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{name}


%check
# %{__python3} setup.py test


%files -f %{pyproject_files}
%doc README.rst
%{_bindir}/bean-bake
%{_bindir}/bean-check
%{_bindir}/bean-doctor
%{_bindir}/bean-example
%{_bindir}/bean-extract
%{_bindir}/bean-file
%{_bindir}/bean-format
%{_bindir}/bean-identify
%{_bindir}/bean-price
%{_bindir}/bean-query
%{_bindir}/bean-report
%{_bindir}/bean-sql
%{_bindir}/bean-web
%{_bindir}/treeify
%{_bindir}/upload-to-sheets


%changelog
* Tue Oct 11 2022 Felix Kaechele <felix@kaechele.ca> - 2.3.5-2
- remove dependency on python-magic to work around rhbz#1899279

* Sun Jun 05 2022 Felix Kaechele <felix@kaechele.ca> - 2.3.5-1
- Initial package.
